ref: edfd263e9aafcdf12acc55880cc9d50b54273a57
parent: 8a0cb07ca434ff32131cce45277a209c86d46068
author: Ralph Giles <giles@mozilla.com>
date: Fri Aug 31 06:40:16 EDT 2012
Don't call libtoolize from autogen.sh. We aren't using libtool, so don't require it to build.
--- a/autogen.sh
+++ b/autogen.sh
@@ -87,7 +87,7 @@
else
echo $LIBTOOLIZE
fi
-($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+/bin/true && ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile $package."
echo "Download the appropriate package for your system,"
@@ -106,8 +106,8 @@
$ACLOCAL $ACLOCAL_FLAGS || exit 1
echo " autoheader"
autoheader || exit 1
-echo " $LIBTOOLIZE --automake"
-$LIBTOOLIZE --automake || exit 1
+#echo " $LIBTOOLIZE --automake"
+#$LIBTOOLIZE --automake || exit 1
echo " $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
$AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1
echo " autoconf"